Overview | Modules | Class Hierarchy | Classes | Members

# tlp::GlFeedBackBuilder Class Reference

`#include <GlFeedBackBuilder.h>`

Inherited by tlp::GlTLPFeedBackBuilder.

Inheritance diagram for tlp::GlFeedBackBuilder:

[legend]
List of all members.

## Detailed Description

Abstract class used to build a object with a OpenGl feedback buffer

## Public Member Functions

- virtual ~GlFeedBackBuilder ()
- virtual void begin (const Vector< int, 4 > &viewport)
- virtual void passThroughToken (GLfloat *data)
- virtual void pointToken (GLfloat *data)
- virtual void lineToken (GLfloat *data)
- virtual void lineResetToken (GLfloat *data)
- virtual void polygonToken (GLfloat *data)
- virtual void bitmapToken (GLfloat *data)
- virtual void drawPixelToken (GLfloat *data)
- virtual void copyPixelToken (GLfloat *data)
- virtual void end ()
- virtual void getResult (std::string *str)=0

## Constructor & Destructor Documentation

virtual tlp::GlFeedBackBuilder::~GlFeedBackBuilder | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual void tlp::GlFeedBackBuilder::begin | ( | const Vector< int, 4 > & | viewport | ) | `[inline, virtual]`

virtual void tlp::GlFeedBackBuilder::bitmapToken | ( | GLfloat * | data | ) | `[inline, virtual]`

| Reimplemented in tlp::GlTLPFeedBackBuilder.

virtual void tlp::GlFeedBackBuilder::copyPixelToken | ( | GLfloat * | data | ) | `[inline, virtual]`

| Reimplemented in tlp::GlTLPFeedBackBuilder.

virtual void tlp::GlFeedBackBuilder::drawPixelToken | ( | GLfloat * | data | ) | `[inline, virtual]`

| Reimplemented in tlp::GlTLPFeedBackBuilder.

virtual void tlp::GlFeedBackBuilder::end | ( |  | ) | `[inline, virtual]`

| Reimplemented in tlp::GlTLPFeedBackBuilder.

virtual void tlp::GlFeedBackBuilder::getResult | ( | std::string * | str | ) | `[pure virtual]`

virtual void tlp::GlFeedBackBuilder::lineResetToken | ( | GLfloat * | data | ) | `[inline, virtual]`

| Reimplemented in tlp::GlTLPFeedBackBuilder.

virtual void tlp::GlFeedBackBuilder::lineToken | ( | GLfloat * | data | ) | `[inline, virtual]`

| Reimplemented in tlp::GlTLPFeedBackBuilder.

virtual void tlp::GlFeedBackBuilder::passThroughToken | ( | GLfloat * | data | ) | `[inline, virtual]`

| Reimplemented in tlp::GlTLPFeedBackBuilder.

virtual void tlp::GlFeedBackBuilder::pointToken | ( | GLfloat * | data | ) | `[inline, virtual]`

| Reimplemented in tlp::GlTLPFeedBackBuilder.

virtual void tlp::GlFeedBackBuilder::polygonToken | ( | GLfloat * | data | ) | `[inline, virtual]`

| Reimplemented in tlp::GlTLPFeedBackBuilder.

Tulip Software by LaBRI Visualization Team 2001 - 2010